diff --git a/src/backend/storage/ipc/shmem.c b/src/backend/storage/ipc/shmem.c
new file mode 100644
index 2ea2216..cc1ac1f
*** a/src/backend/storage/ipc/shmem.c
--- b/src/backend/storage/ipc/shmem.c
*************** ShmemInitStruct(const char *name, Size s
*** 327,332 ****
--- 327,335 ----
  	ShmemIndexEnt *result;
  	void	   *structPtr;
  
+ //	if (strcmp(name, "Buffer Descriptors") == 0)
+ 		size += 32;
+ 
  	LWLockAcquire(ShmemIndexLock, LW_EXCLUSIVE);
  
  	if (!ShmemIndex)
*************** ShmemInitStruct(const char *name, Size s
*** 413,418 ****
--- 416,424 ----
  							" \"%s\" (%zu bytes requested)",
  							name, size)));
  		}
+ //		if (strcmp(name, "Buffer Descriptors") == 0)
+ 			structPtr = (void *)((int64)structPtr + 4);
+ 		fprintf(stderr, "64-byte shared memory alignment of %s:  %d\n", name, ((int64)structPtr % 64) == 0);
  		result->size = size;
  		result->location = structPtr;
  	}
